a99f17704db4

More
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Sat, 13 Apr 2019 10:05:32 -0400
parents 58bd4107ba30
children 07fcefed6b88
branches/tags (none)
files bin/code-to-pdf weechat/plugins.conf

Changes

--- a/bin/code-to-pdf	Tue Mar 26 22:05:13 2019 -0400
+++ b/bin/code-to-pdf	Sat Apr 13 10:05:32 2019 -0400
@@ -1,25 +1,27 @@
 #!/usr/bin/env bash
 
+set -euo pipefail
+
 TITLE="$1"
 shift
 
 enscript -1 --media=Letter \
     --toc \
     --header '%H - $N | | page $% of $= in file $v' \
-    --font "Menlo-Regular@8" \
-    --header-font "Menlo-Bold@10" \
-    --fancy-header=sjl \
+    --font "UbuntuMono-Regular@8" \
+    --header-font "UbuntuMono-Bold@10" \
     --title "$TITLE" \
     --baselineskip 3 \
     --line-numbers \
     --highlight \
     --color \
     --mark-wrapped-lines=arrow \
-    --margins=20:40:30:30 \
-    --landscape \
-    -p - \
+    --margins=60:60:18:60 \
+    --portrait \
+    --output - \
     --word-wrap $* \
-    | pstopdf -i -o code.pdf
+    # | ps2pdf code
 
-    # --margins=60:60:18:60 \
-    # --portrait \
+    # --margins=20:40:30:30 \
+    # --landscape \
+    # --fancy-header=sjl \
--- a/weechat/plugins.conf	Tue Mar 26 22:05:13 2019 -0400
+++ b/weechat/plugins.conf	Sat Apr 13 10:05:32 2019 -0400
@@ -73,9 +73,6 @@
 python.slack.auto_open_threads = "false"
 python.slack.background_load_all_history = "false"
 python.slack.channel_name_typing_indicator = "true"
-python.slack.color_buflist_muted_channels = "darkgray"
-python.slack.color_reaction_suffix = "darkgray"
-python.slack.color_thread_suffix = "lightcyan"
 python.slack.colorize_private_chats = "false"
 python.slack.debug_level = "3"
 python.slack.debug_mode = "false"
@@ -97,7 +94,6 @@
 python.slack.slack_api_token = "xoxp-3324703083-436133997184-447755985685-90585fad41071ee30fb518ad29831038"
 python.slack.slack_timeout = "20000"
 python.slack.switch_buffer_on_join = "true"
-python.slack.thread_messages_in_channel = "false"
 python.slack.thread_suffix_color = "lightcyan"
 python.slack.unfurl_auto_link_display = "both"
 python.slack.unfurl_ignore_alt_text = "false"
@@ -122,9 +118,6 @@
 python.slack.auto_open_threads = "Automatically open threads when mentioned or inresponse to own messages."
 python.slack.background_load_all_history = "Load history for each channel in the background as soon as it opens, rather than waiting for the user to look at it."
 python.slack.channel_name_typing_indicator = "Change the prefix of a channel from # to > when someone is typing in it. Note that this will (temporarily) affect the sort order if you sort buffers by name rather than by number."
-python.slack.color_buflist_muted_channels = "Color to use for muted channels in the buflist"
-python.slack.color_reaction_suffix = "Color to use for the [:wave:(@user)] suffix on messages that have reactions attached to them."
-python.slack.color_thread_suffix = "Color to use for the [thread: XXX] suffix on messages that have threads attached to them."
 python.slack.colorize_private_chats = "Whether to use nick-colors in DM windows."
 python.slack.debug_level = "Show only this level of debug info (or higher) when debug_mode is on. Lower levels -> more messages."
 python.slack.debug_mode = "Open a dedicated buffer for debug messages and start logging to it. How verbose the logging is depends on log_level."
@@ -145,7 +138,6 @@
 python.slack.slack_api_token = "List of Slack API tokens, one per Slack instance you want to connect to. See the README for details on how to get these."
 python.slack.slack_timeout = "How long (ms) to wait when communicating with Slack."
 python.slack.switch_buffer_on_join = "When /joining a channel, automatically switch to it as well."
-python.slack.thread_messages_in_channel = "When enabled shows thread messages in the parent channel."
 python.slack.thread_suffix_color = "Color to use for the [thread: XXX] suffix on messages that have threads attached to them."
 python.slack.unfurl_auto_link_display = "When displaying ("unfurling") links to channels/users/etc, determine what is displayed when the text matches the url without the protocol. This happens when Slack automatically creates links, e.g. from words separated by dots or email addresses. Set it to "text" to only display the text written by the user, "url" to only display the url or "both" (the default) to display both."
 python.slack.unfurl_ignore_alt_text = "When displaying ("unfurling") links to channels/users/etc, ignore the "alt text" present in the message and instead use the canonical name of the thing being linked to."